---
title: VideoConfiguration
slug: Web/API/VideoConfiguration
tags:
  - API
  - Audio
  - Experimental
  - Interface
  - Media Capabilities API
  - Reference
  - Video
  - VideoConfiguration
---
<div>{{APIRef("Media Capabilities API")}}</div>

<p>The <strong><code>VideoConfiguration</code></strong> dictionary of the <a href="/en-US/docs/Web/API/Media_Capabilities_API">Media Capabilities API</a> is used to define the video file being tested when calling the {{domxref("MediaCapabilities")}} methods {{domxref("MediaCapabilities.encodingInfo", "encodingInfo()")}} and {{domxref("MediaCapabilities.decodingInfo", "decodingInfo()")}} to determine whether or not the described video configuration is supported, and how smoothly and how smoooth and power-efficient it can be handled.</p>

<h2 id="Properties">Properties</h2>

<p>The <code>VideoConfiguration</code> dictionary is made up of five video properties, including:</p>

<ul>
 <li><strong>contentType</strong>: A valid video MIME type. See our <a href="/en-US/docs/Web/Media/Formats/Video_codecs">web video codec guide</a> for types which may be supported.</li>
 <li><strong>width</strong>: The width of the video.</li>
 <li><strong>height</strong>: The height of the video.</li>
 <li><strong>bitrate</strong>: The number of bits used to encode one second of the video file.</li>
 <li><strong>framerate</strong>: The number of frames making up one second of video playback.</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Create media configuration to be tested
const mediaConfig = {
    type : 'file',  // see {{domxref("MediaDecodingConfiguration")}} and {{domxref("MediaEncodingConfiguration")}}
    video : {
        contentType : "video/webm;codecs=vp8", // valid content type
        width : 800,     // width of the video
        height : 600,    // height of the video
        bitrate : 10000, // number of bits used to encode 1s of video
        framerate : 30   // number of frames making up that 1s.
     }
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Capabilities','#videoconfiguration','VideoConfiguration')}}</td>
   <td>{{Spec2('Media Capabilities')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VideoConfiguration")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Media">Web media technologies</a></li>
 <li><a href="/en-US/docs/Web/Media/Formats">Guide to media types and formats on the web</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Capabilities_API">Media Capabilities API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Capabilities_API/Using_the_Media_Capabilities_API">Using the Media Capabilities API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a></li>
 <li><a href="/en-US/docs/Web/API/MediaStream_Recording_API">MediaStream Recording API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC</a></li>
 <li>{{domxref("MediaDecodingConfiguration")}}</li>
 <li>{{domxref("MediaEncodingConfiguration")}}</li>
 <li>{{domxref("AudioConfiguration")}}</li>
</ul>
